<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context-4.3.xsd
		http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc-4.3.xsd
		http://www.springframework.org/schema/tx http://www.springframework.org/schema/tx/spring-tx-4.3.xsd">

	<context:component-scan base-package="com.cdac" />
	<mvc:annotation-driven />


	<!-- Create bean for viewResolver and configure it based on our requirement -->
	<bean id="viewResolver"
		class="org.springframework.web.servlet.view.UrlBasedViewResolver">

		<!-- What type of view we are going to use. JSP or ThemeLeaf etc. -->
		<property name="viewClass"
			value="org.springframework.web.servlet.view.JstlView" />

		<!-- Location where the views are located -->
		<property name="prefix" value="/WEB-INF/views/" />
		<!-- "/" means jsp pages are kept directly under the "webapp" directory -->
		<!-- "/WEB-INF/views/" means jsp pages are kept under the "webapp/WEB-INF/views" directory -->

		<!-- Extension of file name -->
		<property name="suffix" value=".jsp" />

	</bean>


</beans>
